# DalayedDropDaoWorker Class Reference
[Root classes for building DAO hierarchies]

DAO worker with dealyed object drop from cache. More...

Inheritance diagram for DalayedDropDaoWorker:
[legend]

List of all members.

## Public Member Functions

| uncacheById ($id)
| uncachers
| dropWith ($worker)

## Private Attributes

| $modifiedIds = array()

## Detailed Description

DAO worker with dealyed object drop from cache.

See also:
  CommonDaoWorker for manual-caching one.
  SmartDaoWorker for transparent one.

Definition at line 20 of file DalayedDropDaoWorker.class.php.

## Member Function Documentation

DalayedDropDaoWorker::dropWith | ( | $ | worker | ) |

Definition at line 33 of file DalayedDropDaoWorker.class.php.

References Assert::classExists().

Here is the call graph for this function:

DalayedDropDaoWorker::uncacheById | ( | $ | id | ) |

uncachers

Reimplemented from NullDaoWorker.

Definition at line 26 of file DalayedDropDaoWorker.class.php.

## Member Data Documentation

DalayedDropDaoWorker::$modifiedIds = array()`[private]`

Definition at line 22 of file DalayedDropDaoWorker.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Workers/DalayedDropDaoWorker.class.php